stages:
  - build
  - test
  - deploy

default:
  image: node:latest

build-job:
  stage: build
  inherit:
    default: true
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      - src/
      - app.js

# test-job:
#   stage: test
#   rules:
#     - exists:
#         - jest.config.js
#   inherit:
#     default: true
#   script:
#     - npm install
#     - npm run test

render:
  stage: deploy
  inherit:
    default: true
  script:
    - npm install
    - npm run start
  artifacts:
    paths:
      - dist/

pages:
  stage: deploy
  needs:
    - render
  inherit:
    default: true
  script:
    - mv dist/ public/
  artifacts:
    paths:
      - public
    expire_in: 30 days
    